orrisapi en
  1. Suno
orrisapi en
  • How to Integrate CCAPI LLM into OpenClaw
  • Chat
    • Google
      • Gemini Generate Content
      • Gemini Stream Generate Content
    • Anthropic
      • Create Claude Message
    • OpenAI
      • Create Chat Completion
      • Create Response (OpenAI Responses API)
    • DeepSeek
      • Create Chat Completion
    • MiniMax
      • Create Chat Completion
    • Create Text Completion (Legacy)
  • Image
    • nano banana (Gemini Native)
      • Generate Image With Gemini Native API
    • nano banana (Pay-per-image)
      • Generate Image
  • Video
    • Vidu Video Generation API
    • Seedance Video Generation API
    • Generate Video
    • Query Video Task
    • Video Content Proxy
    • Kling Text-to-Video
    • Kling Text-to-Video Task Status
    • Kling Image-to-Video
    • Kling Image-to-Video Task Status
  • Images
    • Jimeng Image Generate
  • Audio
    • Producer
      • Producer Submit - Generate Music
      • Producer Submit - Generate Lyrics
      • Producer Submit - Extend Music
      • Producer Submit - Generate Cover
      • Producer Submit - Generate Variation
      • Producer Submit - Replace Track
      • Producer Submit - Vocals Swap
      • Producer Submit - Instrumentals Swap
      • Producer Submit - Stems Separation
      • Producer Submit - Download
      • Producer Submit - Upload Audio
      • Producer Submit - Generate Video
      • Producer Fetch Task by ID
      • Producer Fetch Tasks (Batch)
    • Suno
      • Suno Submit - Generate Music
        POST
      • Suno Submit - Generate Lyrics
        POST
      • Suno Submit - Extend Song
        POST
      • Suno Submit - Generate Cover
        POST
      • Suno Submit - Stems Separation
        POST
      • Suno Submit - Full Stems Separation
        POST
      • Suno Submit - Add Vocals
        POST
      • Suno Submit - Add Instrumental
        POST
      • Suno Submit - Replace Section
        POST
      • Suno Submit - Remaster
        POST
      • Suno Submit - Mashup
        POST
      • Suno Submit - Sample
        POST
      • Suno Submit - Generate Sound Effects
        POST
      • Suno Submit - Generate MIDI
        POST
      • Suno Submit - Upload Audio
        POST
      • Suno Submit - Concatenate Tracks
        POST
      • Suno Submit - Aligned Lyrics
        POST
      • Suno Submit - Generate Music Video
        POST
      • Suno Submit - Download as WAV
        POST
      • Suno Submit - Persona Voice
        POST
      • Suno Submit - Generate with BPM
        POST
      • Suno Submit - Vox (Vocals Only)
        POST
      • Suno Submit - Upsample Tags
        POST
      • Suno Fetch Task by ID
        GET
      • Suno Fetch Tasks (Batch)
        POST
    • Create Transcription
      POST
    • Create Translation
      POST
    • Suno Generate (Unified)
      POST
    • Suno Fetch (Unified)
      GET
    • Producer Generate (Unified)
      POST
    • Producer Fetch (Unified)
      GET
  • Embeddings
    • Create Embeddings
  • Models
    • List Models
    • Get Model
  • Moderation
    • Create Moderation
  • Midjourney
    • Midjourney Imagine
    • Midjourney Task Status
  • Realtime
    • Realtime API (WebSocket)
  • Schemas
    • RequestBodies
      • producerSubmitCoverBody
      • jimengGenerateBody
      • producerSubmitUploadBody
      • producerSubmitDownloadBody
      • producerFetchBatchBody
    • ErrorResponse
    • OpenAIError
    • ChatCompletionRequest
    • Message
    • ContentPart
    • ToolCall
    • ToolCallResponse
    • ChatCompletionResponse
    • ChatCompletionStreamResponse
    • ResponsesRequest
    • ResponsesResponse
    • ImageRequest
    • ImageResponse
    • VideoResponse
    • KlingText2VideoRequest
    • KlingImage2VideoRequest
    • AudioResponse
    • EmbeddingRequest
    • EmbeddingResponse
    • Model
    • Usage
    • ProducerMusicRequest
    • ProducerTaskResponse
    • ProducerFetchResponse
    • SunoMusicRequest
    • SunoTaskResponse
    • SunoFetchResponse
  1. Suno

Suno Submit - Generate MIDI

POST
/suno/submit/GEN_MIDI
Generate a MIDI file from a music description.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "prompt": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ccapi.ai//suno/submit/GEN_MIDI' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string"
}'

Responses

🟢200success
application/json
Task submitted successfully
Body

Example
{
    "code": 200,
    "message": "success",
    "data": {
        "taskId": "string",
        "status": "PENDING"
    }
}
🟠401
🔴500
Modified at 2026-03-15 06:56:57
Previous
Suno Submit - Generate Sound Effects
Next
Suno Submit - Upload Audio
Built with